# os_client_config – Get OpenStack Client config

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Get openstack client config data from clouds.yaml or environment

## Requirements

The below requirements are needed on the host that executes this module.

- os-client-config

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
clouds - | Default: [] | List of clouds to limit the return list to. No value means return information on all configured clouds

## Notes

Note

- Facts are placed in the `openstack.clouds` variable.

## Examples

    - name: Get list of clouds that do not support security groups
      os_client_config:

    - debug:
        var: "{{ item }}"
      with_items: "{{ openstack.clouds | rejectattr('secgroup_source', 'none') | list }}"

    - name: Get the information back just about the mordred cloud
      os_client_config:
        clouds:
          - mordred

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Monty Taylor (@emonty)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.